clan::XPathObject Class Reference - ClanLib SDK
Description: clan::XPathObject Class Reference

Public Types | Public Member Functions | List of all members
clan::XPathObject Class Reference
clanXML XML

XPath result object. More...

`#include <xpath_object.h>`

## Public Types
enum | Type { type_null , type_node_set , type_boolean , type_number , type_string }

## Public Member Functions
| XPathObject ()
| XPathObject (bool value)
| XPathObject (const std::string &value)
| XPathObject (const std::vector< DomNode > &value)
| XPathObject (double value)
| XPathObject (size_t value)
bool | get_boolean () const
| Get Boolean.
std::vector< DomNode > | get_node_set () const
double | get_number () const
| Get Number.
std::string | get_string () const
| Get String.
Type | get_type () const
| Get Type.
bool | is_null () const
| Is Null.
void | set_boolean (bool value)
| Set boolean.
void | set_node_set (const std::vector< DomNode > &node_set)
| Set node set.
void | set_null ()
| Set null.
void | set_number (double value)
| Set number.
void | set_string (const std::string &str)
| Set string.

## Detailed Description

XPath result object.

## Member Enumeration Documentation

## ◆ Type

enum clan::XPathObject::Type

Enumerator
type_null |
type_node_set |
type_boolean |
type_number |
type_string |

## Constructor & Destructor Documentation

## ◆ XPathObject() [1/6]

clan::XPathObject::XPathObject | ( |  | ) |

## ◆ XPathObject() [2/6]

clan::XPathObject::XPathObject | ( | bool | value | ) |

## ◆ XPathObject() [3/6]

clan::XPathObject::XPathObject | ( | double | value | ) |

## ◆ XPathObject() [4/6]

clan::XPathObject::XPathObject | ( | size_t | value | ) |

## ◆ XPathObject() [5/6]

clan::XPathObject::XPathObject | ( | const std::string & | value | ) |

## ◆ XPathObject() [6/6]

clan::XPathObject::XPathObject | ( | const std::vector< DomNode > & | value | ) |

## Member Function Documentation

## ◆ get_boolean()

bool clan::XPathObject::get_boolean | ( |  | ) | const

Get Boolean.

Returns
  boolean

## ◆ get_node_set()

std::vector< DomNode > clan::XPathObject::get_node_set | ( |  | ) | const

## ◆ get_number()

double clan::XPathObject::get_number | ( |  | ) | const

Get Number.

Returns
  number

## ◆ get_string()

std::string clan::XPathObject::get_string | ( |  | ) | const

Get String.

Returns
  string

## ◆ get_type()

Type clan::XPathObject::get_type | ( |  | ) | const

Get Type.

Returns
  type

## ◆ is_null()

bool clan::XPathObject::is_null | ( |  | ) | const

Is Null.

Returns
  true = null

## ◆ set_boolean()

void clan::XPathObject::set_boolean | ( | bool | value | ) |

Set boolean.

Parameters

  value | = bool

## ◆ set_node_set()

void clan::XPathObject::set_node_set | ( | const std::vector< DomNode > & | node_set | ) |

Set node set.

Parameters

  vector | = Dom Node

## ◆ set_null()

void clan::XPathObject::set_null | ( |  | ) |

Set null.

## ◆ set_number()

void clan::XPathObject::set_number | ( | double | value | ) |

Set number.

Parameters

  value | = value

## ◆ set_string()

void clan::XPathObject::set_string | ( | const std::string & | str | ) |

Set string.

Parameters

  str | = String Ref

The documentation for this class was generated from the following file:

- xpath_object.h